- Qt 6.9
- Qt Network
- C++ Classes
- QDnsHostAddressRecord
- Qt 6.9.2 Reference Documentation

# QDnsHostAddressRecord Class

The QDnsHostAddressRecord class stores information about a host address record. More...

Header: | `#include <QDnsHostAddressRecord>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Network)` `target_link_libraries(mytarget PRIVATE Qt6::Network)`
qmake: | `QT += network`

- List of all members, including inherited members
- QDnsHostAddressRecord is part of Network Programming API and Implicitly Shared Classes.

## Public Functions

| QDnsHostAddressRecord()
| QDnsHostAddressRecord(const QDnsHostAddressRecord &other)
| ~QDnsHostAddressRecord()
QString | name() const
quint32 | timeToLive() const
QHostAddress | value() const
QDnsHostAddressRecord & | operator=(const QDnsHostAddressRecord &other)

## Detailed Description

When performing an address lookup, zero or more records will be returned. Each record is represented by a QDnsHostAddressRecord instance.

See also QDnsLookup.

## Member Function Documentation

### QDnsHostAddressRecord::QDnsHostAddressRecord()

Constructs an empty host address record object.

### QDnsHostAddressRecord::QDnsHostAddressRecord(const QDnsHostAddressRecord &other)

Constructs a copy of other.

### `[noexcept]` QDnsHostAddressRecord::~QDnsHostAddressRecord()

Destroys a host address record.

### QString QDnsHostAddressRecord::name() const

Returns the name for this record.

### quint32 QDnsHostAddressRecord::timeToLive() const

Returns the duration in seconds for which this record is valid.

### QHostAddress QDnsHostAddressRecord::value() const

Returns the value for this host address record.

### QDnsHostAddressRecord &QDnsHostAddressRecord::operator=(const QDnsHostAddressRecord &other)

Assigns the data of the other object to this record object, and returns a reference to it.